.screen {
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	position: absolute;
	margin: 0;
	padding: 0;
	z-index: 20;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}

.screen-image {
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	margin: 0;
	padding: 0;
	position: absolute;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	background-attachment: fixed;
}

.screen-content-parent {
	display: inline-block;
	position: relative;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

/* Goodbye screen */
#screen-goodbye.screen {
	opacity: 0;
	z-index: -1;
	transition:
						opacity var(--global-animation-speed),
						z-index var(--global-animation-speed);
}

#screen-goodbye.screen.screen-goodbye-show {
	opacity: 1;
	z-index: 20;
}

#screen-goodbye-image.screen-image {
	filter: blur(var(--global-blur-strength));
}

#goodbye-power-icon.goodbye-content {
	width: 88px;
	height: 88px;
	object-fit: contain;
	display: block;
	margin: 0 10px;
}

#screen-goodbye-content-parent.screen-content-parent {
	display: inline-flex;
}

#goodbye-message.goodbye-content {
	font-size: 56pt;
	font-weight: 400;
	font-style: italic;
	color: var(--global-fg);
}

/* Greeter Screen */
#screen-greeter.screen {
	top: 0;
	position: fixed;
	pointer-events: unset;
	transition: all var(--global-animation-speed);
}

#screen-greeter.screen-greeter-hide {
	top: -100%;
}

#screen-greeter-content-parent.screen-content-parent {
	display: inline-block;
}

.greeter-content {
	cursor: default;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}

#greeter-message.greeter-content {
	font-size: 24pt;
	font-weight: 100;
	text-align: center;
	color: var(--global-fg);
}

#greeter-clock.greeter-content {
	font-size: 72pt;
	font-weight: 800;
	text-align: center;
	color: var(--global-fg);
}

#greeter-date.greeter-content {
	font-size: 24pt;
	font-weight: 100;
	text-align: center;
	color: var(--global-fg);
}

#screen-dark {
	background-color: #000000;
	opacity: 0;
	pointer-events: none;
	z-index: 25;
	transition:
						opacity var(--global-animation-speed),
						pointer-events var(--global-animation-speed);
}

#screen-dark.screen-dark-show {
	opacity: 1;
	pointer-events: unset;
}
